commit 84198cba689b60b5171028ca741c6b1179800875
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Nov 20 00:23:31 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 6d3c9325db8..837c3849695 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241119
+20241120
diff --git a/gcc/m2/ChangeLog b/gcc/m2/ChangeLog
index e093ced562d..1d350b4c19a 100644
--- a/gcc/m2/ChangeLog
+++ b/gcc/m2/ChangeLog
@@ -1,3 +1,60 @@
+2024-11-20  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-05-21  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	* Make-lang.in (MC_EXTENDED_OPAQUE): New definition.
+	* mc-boot/GDynamicStrings.cc: Rebuild.
+	* mc-boot/GDynamicStrings.h: Rebuild.
+	* mc-boot/Galists.cc: Rebuild.
+	* mc-boot/Galists.h: Rebuild.
+	* mc-boot/Gdecl.cc: Rebuild.
+	* mc/alists.def (equalList): New procedure.
+	* mc/alists.mod (equalList): New procedure implementation.
+	* mc/decl.mod (group): New type.
+	(freeGroup): New variable.
+	(globalGroup): Ditto.
+	(todoQ): Remove declaration and prefix all occurances with globalGroup^.
+	(partialQ): Ditto.
+	(doneQ): Ditto.
+	(newGroup): New procedure.
+	(initGroup): Ditto.
+	(killGroup): Ditto.
+	(dupGroup): Ditto.
+	(equalGroup): Ditto.
+	(topologicallyOut): Rewrite.
+
+2024-11-19  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-05-21  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	* Make-lang.in (m2.install-info): Pass --destdir for dir index.
+
+2024-11-19  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-05-15  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/115057
+	* gm2-libs-iso/TextIO.mod (ReadRestLine): Use ReadChar to
+	skip unwanted characters as this calls IOChan.Look and updates
+	the cid result status.  A Skip without a Look does not update
+	the status.  Skip always sets read result to allRight.
+	* gm2-libs-iso/TextUtil.def (SkipSpaces): Improve comments.
+	(CharAvailable): Improve comments.
+	* gm2-libs-iso/TextUtil.mod (SkipSpaces): Improve comments.
+	(CharAvailable): Improve comments.
+
+2024-11-19  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-05-09  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/115003
+	* gm2-compiler/SymbolTable.mod (GetScope): Add UndefinedSym
+	case clause and return NulSym.
+
 2024-08-01  Release Manager
 
 	* GCC 14.2.0 released.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 1759eca3bf1..f102f04379c 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,22 @@
+2024-11-19  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-05-21  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/115164
+	* gm2/isolib/run/pass/testlowread.mod: New test.
+	* gm2/isolib/run/pass/testwritereal.mod: New test.
+
+2024-11-19  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-05-15  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/115057
+	* gm2/isolib/run/pass/testrestline.mod: New test.
+	* gm2/isolib/run/pass/testrestline2.mod: New test.
+	* gm2/isolib/run/pass/testrestline3.mod: New test.
+
 2024-11-18  Uros Bizjak  <ubizjak@gmail.com>
 
 	Backported from master:

